Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader
Class ActivityComicSelector.EfficientAdapter

    java.lang.Object
      BaseAdapter
          com.blogspot.applications4android.comicreader.ActivityComicSelector.EfficientAdapter

Enclosing class:
  ActivityComicSelector

    public static class ActivityComicSelector.EfficientAdapter

extends BaseAdapter

adapter class for efficient traversal of list items displayed in the main activity

Nested Class Summary
`(package private) static class` | `ActivityComicSelector.EfficientAdapter.ViewHolder` A private class to hold the view which will be displayed in one row of the listview.

Constructor Summary
`ActivityComicSelector.EfficientAdapter(Context context)`

Method Summary
`int` | `getCount()`
`java.lang.Object` | `getItem(int position)`
`long` | `getItemId(int position)`
`View` | `getView(int position, View convertView, ViewGroup parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityComicSelector.EfficientAdapter

    public ActivityComicSelector.EfficientAdapter(Context context)

Method Detail

### getCount

    public int getCount()

### getItem

    public java.lang.Object getItem(int position)

### getItemId

    public long getItemId(int position)

### getView

    public View getView(int position,
                        View convertView,
                        ViewGroup parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD